summaryrefslogtreecommitdiff
path: root/qa/171
diff options
context:
space:
mode:
Diffstat (limited to 'qa/171')
-rwxr-xr-xqa/17150
1 files changed, 50 insertions, 0 deletions
diff --git a/qa/171 b/qa/171
new file mode 100755
index 0000000..1ac21d2
--- /dev/null
+++ b/qa/171
@@ -0,0 +1,50 @@
+#! /bin/sh
+# PCP QA Test No. 171
+# demonstrate interpolate mode bug
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+if [ $PCP_VER -lt 3600 ]
+then
+ # V1 archives supported
+ arch=src/bug
+ pmns="-n src/root_irix"
+else
+ # no support for V1 archives
+ arch=src/bug_v2
+ pmns=
+fi
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+# deal with an annoying libc error ... using TZ=:Australia/Melbourne
+# causes the -z option to report the wrong time, at least for some
+# times of the year
+#
+TZ=EST-10
+export TZ
+
+# real QA test starts here
+
+# need -n src/root_irix 'cause app looks up some metrics not in the
+# archive
+#
+src/interp_bug -n src/root_irix -t 2.0 -a $arch
+status=$?
+
+if [ $status != 0 ]
+then
+ echo
+ echo "Error ... here is the log"
+ pmdumplog $pmns -a $arch
+fi
+
+exit $status